get_config_argv(3)

NAME
get_config_argv - Reads a token list from the configuration file. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char **get_config_argv(const char *section, const char *name, int *argc);

DESCRIPTION
Reads a token list (words separated by spaces) from the current config file. The token list is stored in a temporary buffer that will be clobbered by the next call to get_config_argv(), so the data should not be expected to persist.

RETURN VALUE
Returns an argv style argument list and sets `argc' to the number of retrieved tokens. If the variable is not present, returns NULL and sets argc to zero.

SEE ALSO
set_config_file(3), get_config_string(3), get_config_float(3), get_config_hex(3), get_config_int(3), get_config_id(3), exconfig(3)